juzu

## Annotation Type Application

-     @Retention(value=RUNTIME)
      @Target(value=PACKAGE)
      public @interface Application

  A package annotation for declaring an application.

  By default the application name is the current package name whose first letter is capitalized and appended with the word Applicaiton. For instance when this annotation annotates the package `org.hello` the resulting application name will be `HelloApplication`. The application name can be overrided thanks to the `name()` annotation parameter.

  Author:
    Julien Viet

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `Class<?>` | `defaultController` Returns an optional default controller class.
    `Class<? extends Handler<Response.Error,Response>>` | `errorController` Returns an optional error controller class.
    `boolean` | `escapeXML` Controls if the application generated URL should be escaped to valid XML, this is valid for portlet applications.
    `String` | `name` Returns an optional application name.

- - ### Element Detail

    - #### name

          public abstract String name

      Returns an optional application name.
      Returns:
        the application name
      Default:
        ""

    - #### defaultController

          public abstract Class<?> defaultController

      Returns an optional default controller class.
      Returns:
        the default controller
      Default:
        java.lang.Object.class

    - #### errorController

          public abstract Class<? extends Handler<Response.Error,Response>> errorController

      Returns an optional error controller class.
      Returns:
        the error controller
      Default:
        juzu.request.DefaultErrorController.class

    - #### escapeXML

          public abstract boolean escapeXML

      Controls if the application generated URL should be escaped to valid XML, this is valid for portlet applications.
      Returns:
        the escape XML value
      Default:
        false

Copyright © 2016 eXo Platform SAS. All rights reserved.